Skip to main content
POST
/
v1
/
accounts
/
{account_id}
/
evaluationJobs
Create Evaluation Job
curl --request POST \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "evaluationJob": {
    "evaluator": "<string>",
    "inputDataset": "<string>",
    "outputDataset": "<string>",
    "displayName": "<string>",
    "outputStats": "<string>",
    "awsS3Config": {
      "credentialsSecret": "<string>",
      "iamRoleArn": "<string>"
    }
  },
  "evaluationJobId": "<string>"
}
'
import requests

url = "https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs"

payload = {
"evaluationJob": {
"evaluator": "<string>",
"inputDataset": "<string>",
"outputDataset": "<string>",
"displayName": "<string>",
"outputStats": "<string>",
"awsS3Config": {
"credentialsSecret": "<string>",
"iamRoleArn": "<string>"
}
},
"evaluationJobId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluationJob: {
evaluator: '<string>',
inputDataset: '<string>',
outputDataset: '<string>',
displayName: '<string>',
outputStats: '<string>',
awsS3Config: {credentialsSecret: '<string>', iamRoleArn: '<string>'}
},
evaluationJobId: '<string>'
})
};

fetch('https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "evaluator": "<string>",
  "inputDataset": "<string>",
  "outputDataset": "<string>",
  "name": "<string>",
  "displayName": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "state": "JOB_STATE_UNSPECIFIED",
  "status": {
    "code": "OK",
    "message": "<string>"
  },
  "metrics": {},
  "outputStats": "<string>",
  "updateTime": "2023-11-07T05:31:56Z",
  "awsS3Config": {
    "credentialsSecret": "<string>",
    "iamRoleArn": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

Body

application/json
evaluationJob
object
required
evaluationJobId
string

Response

200 - application/json

A successful response.

evaluator
string
required

The fully-qualified resource name of the Evaluation used by this job.

Format: accounts/{account_id}/evaluators/{evaluator_id}

inputDataset
string
required

The fully-qualified resource name of the input Dataset used by this job.

Format: accounts/{account_id}/datasets/{dataset_id}

outputDataset
string
required

The fully-qualified resource name of the output Dataset created by this job.

Format: accounts/{account_id}/datasets/{output_dataset_id}

name
string
read-only
displayName
string
createTime
string<date-time>
read-only
createdBy
string
read-only
state
enum<string>
default:JOB_STATE_UNSPECIFIED
read-only

JobState represents the state an asynchronous job can be in.

  • JOB_STATE_PAUSED: Job is paused, typically due to account suspension or manual intervention.
  • JOB_STATE_DELETED: Job has been deleted.
Available options:
JOB_STATE_UNSPECIFIED,
JOB_STATE_CREATING,
JOB_STATE_RUNNING,
JOB_STATE_COMPLETED,
JOB_STATE_FAILED,
JOB_STATE_CANCELLED,
JOB_STATE_DELETING,
JOB_STATE_WRITING_RESULTS,
JOB_STATE_VALIDATING,
JOB_STATE_DELETING_CLEANING_UP,
JOB_STATE_PENDING,
JOB_STATE_EXPIRED,
JOB_STATE_RE_QUEUEING,
JOB_STATE_CREATING_INPUT_DATASET,
JOB_STATE_IDLE,
JOB_STATE_CANCELLING,
JOB_STATE_EARLY_STOPPED,
JOB_STATE_PAUSED,
JOB_STATE_DELETED
status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object
read-only
metrics
object
read-only
outputStats
string

The output dataset's aggregated stats for the evaluation job.

updateTime
string<date-time>
read-only

The update time for the evaluation job.

awsS3Config
object

The AWS configuration for S3 dataset access.